Subject: Accreditation

From: Mark Kargol <[email-masked]>
Date: 3 Apr 1996 17:52:30 GMT

This week marks the start of the accreditation process for Iowa State
University.  Many hours of work has gone in to the preparation of the
College of Design and Armory for the presentation of student work.  The
displays cover the five floors of the Design College and fill the
available display area in the Armory.  I encourage all who will be in
the Ames area to stop in and see this enormous display of student work
in architecture.

Mark Kargol
[email-masked]
AIAS second year rep(ISU)
CORE web author